# Uses of Class
org.lwjgl.opengles.GLSync

Packages that use GLSync
Package
Description
org.lwjgl.opengles

## Uses of GLSync in org.lwjgl.opengles

Methods in org.lwjgl.opengles that return GLSync
Modifier and Type
Method
Description
`static GLSync`
GLES30.`glFenceSync(int condition, int flags)`
`static GLSync`
APPLESync.`glFenceSyncAPPLE(int condition, int flags)`
Methods in org.lwjgl.opengles with parameters of type GLSync
Modifier and Type
Method
Description
`static int`
GLES30.`glClientWaitSync(GLSync sync, int flags, long timeout)`
`static int`
APPLESync.`glClientWaitSyncAPPLE(GLSync sync, int flags, long timeout)`
`static void`
GLES30.`glDeleteSync(GLSync sync)`
`static void`
APPLESync.`glDeleteSyncAPPLE(GLSync sync)`
`static void`
GLES30.`glGetSync(GLSync sync, int pname, IntBuffer length, IntBuffer values)`
`static void`
APPLESync.`glGetSyncAPPLE(GLSync sync, int pname, IntBuffer length, IntBuffer values)`
`static int`
GLES30.`glGetSynci(GLSync sync, int pname)`
Overloads glGetSynciv.
`static int`
APPLESync.`glGetSynciAPPLE(GLSync sync, int pname)`
Overloads glGetSyncivAPPLE.
`static boolean`
GLES30.`glIsSync(GLSync sync)`
`static boolean`
APPLESync.`glIsSyncAPPLE(GLSync sync)`
`static void`
GLES30.`glWaitSync(GLSync sync, int flags, long timeout)`
`static void`
APPLESync.`glWaitSyncAPPLE(GLSync sync, int flags, long timeout)`